<?php
namespace Ep\Woo;

use Zend\ServiceManager\Factory\InvokableFactory;

return [
    'views' => [
        'aliases' => [
            'woo.brand_filter'          => View\BrandFilter::class,
            'woo.brand_image'           => View\BrandImage::class,
            'woo.content_category'      => View\ContentCategory::class,
            'woo.content_product'       => View\ContentProduct::class,
            'woo.form.addtocart'        => Form\View\AddToCart::class,
            'woo.form.element.quantity' => Form\View\Element\Quantity::class,
            'woo.product.sale_badge'    => Product\View\SaleBadge::class,
            'woo.product.brand'         => Product\View\ProductDetailsBrand::class,
        ],

        'factories' => [
            View\BrandFilter::class           => View\BrandFactory::class,
            View\BrandImage::class            => View\BrandFactory::class,
            View\ContentCategory::class       => InvokableFactory::class,
            View\ContentProduct::class        => View\ContentProductFactory::class,
            Form\View\AddToCart::class        => Form\View\AddToCartFactory::class,
            Form\View\Element\Quantity::class => InvokableFactory::class,
            Product\View\SaleBadge::class     => InvokableFactory::class,
            Product\View\ProductDetailsBrand::class   => InvokableFactory::class,
        ],
    ],
];