<?php
namespace Ep\Woo\Product\View\Helper;

use Zend\View\Helper\AbstractHelper;

/**
 * Class BrandLogo
 *
 * @package Ep\Woo\Product\View\Helper
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/woocommerce
 */
class BrandLogo extends AbstractHelper
{
    /**
     * @param \WC_Product $product
     *
     * @return string
     */
    public function __invoke(\WC_Product $product)
    {
        $brands = get_the_terms($product->get_id(), 'product_brand');

        if (is_array($brands) && count($brands) > 0) {
            return $this->render($brands[0]);
        }

        return '';
    }

    /**
     * Renderira logo branda.
     *
     * @param \WP_Term $brand
     *
     * @return string
     */
    public function render(\WP_Term $brand): string
    {
        if (!($thumbnail = get_term_meta($brand->term_id, 'thumbnail_id', true))) {
            return '';
        }

        $image = wp_get_attachment_image($thumbnail, 'thumbnail', false, [
            'class' => 'product-brand__logo',
        ]);

        return sprintf('<div class="product-brand__wrapper">%s</div>', $image);
    }
}